Skip to main content
GET
Get the payment status

Authorizations

Api-Key
string
header
required

Headers

Api-Key
string
required
Merchant-Id
string
required
WCP-Version
string | null
Sdk-Name
string | null
Sdk-Version
string | null
Sdk-Platform
string | null
Idempotency-Key
string | null

Path Parameters

id
string
required

Payment ID

Example:

"pay_7fa2ecc101ARZ3NDEKTSV4RRFFQ69G5FAV"

Query Parameters

maxPollMs
integer<int64> | null

Maximum time to long-poll for payment status, in milliseconds.

Required range: x >= 0

Response

Payment status retrieved successfully

isFinal
boolean
required

True if the payment is in a final state and no longer requires polling

status
enum<string>
required

Payment status

Available options:
requires_action,
processing,
succeeded,
failed,
expired,
cancelled
failureCode
null | enum<string>

Machine-readable reason identifying why the payment failed. Present only when status == "failed".

Available options:
declined_user
info
null | object

Payment information (transaction hash, amount). Present when status is Succeeded, null otherwise.

Example:
pollInMs
integer<int64> | null

Time to poll for payment status, in milliseconds. Not present if the payment is in a final state.

Required range: x >= 0